/*
 * Copyright 2007 Kickmogu Co. Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */



/*
 * 作成日: 2007/01/12
 *
 */
package com.kickmogu.rhythm.util;

public class WindowPos {
	public final static String UNIQ_KEYNAME = "rhtym WindowPos id";

	private int id;
	private int memberId;
	private int x;
	private int y;
	private int height;
	private int width;
	private String windowName;
	private String optionXml;
	
	/**
	 * @return height を戻します。
	 */
	public int getHeight() {
		return height;
	}
	/**
	 * @param height height を設定。
	 */
	public void setHeight(int height) {
		this.height = height;
	}
	/**
	 * @return memberId を戻します。
	 */
	public int getMemberId() {
		return memberId;
	}
	/**
	 * @param memberId memberId を設定。
	 */
	public void setMemberId(int memberId) {
		this.memberId = memberId;
	}
	/**
	 * @return width を戻します。
	 */
	public int getWidth() {
		return width;
	}
	/**
	 * @param width width を設定。
	 */
	public void setWidth(int width) {
		this.width = width;
	}
	/**
	 * @return windowName を戻します。
	 */
	public String getWindowName() {
		return windowName;
	}
	/**
	 * @param windowName windowName を設定。
	 */
	public void setWindowName(String windowName) {
		this.windowName = windowName;
	}
	/**
	 * @return x を戻します。
	 */
	public int getX() {
		return x;
	}
	/**
	 * @param x x を設定。
	 */
	public void setX(int x) {
		this.x = x;
	}
	/**
	 * @return y を戻します。
	 */
	public int getY() {
		return y;
	}
	/**
	 * @param y y を設定。
	 */
	public void setY(int y) {
		this.y = y;
	}
	/**
	 * @return id を戻します。
	 */
	public int getId() {
		return id;
	}
	/**
	 * @param id id を設定。
	 */
	public void setId(int id) {
		this.id = id;
	}
	/**
	 * @return optionXml を戻します。
	 */
	public String getOptionXml() {
		return optionXml;
	}
	/**
	 * @param optionXml optionXml を設定。
	 */
	public void setOptionXml(String optionXml) {
		this.optionXml = optionXml;
	}
}
